Paycose Docs
Lodash Link
POST/onetime/link/consents/revoke

Revoke Consent

Body — RevokeConsentDTO: merchant_id?, wallet_card_id?. Requires X-Link-Session.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/onetime/link/consents/revoke' \
  -H 'X-Link-Session: {{link_session}}' \
  -d '{
  "merchant_id": "",
  "wallet_card_id": ""
}'

Headers

NameValue
X-Link-Session{{link_session}}

Body

NameType
merchant_idstring
wallet_card_idstring
{
  "merchant_id": "",
  "wallet_card_id": ""
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "revoked": false
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page